<template>
    <main>
        <section class="header__logo">
            <img src="../assets/img/logo.jpg" alt="logo Tic Tac Toe">
        </section>
        <section class="form">
            <article class="form__select">
                <template v-for="(player, key) in players">
                    <div class="form__select-player" :key="key">
                        <div class="input-group">
                            <label :for="key">{{player.label}}</label>
                            <input type="text" :id="key" :name="key" :placeholder="key" v-model="player.value" required>
                        </div>
                    </div>
                </template>
            </article>
            <article class="form__button">
                <button class="form__button-btn btn btn-sm" type="button" @click="getNames(); $router.push('/ticTacToe');">Start Game!</button>
            </article>
        </section>
    </main>
</template>

<script type="text/ecmascript-6">/* eslint-disable */
import Vue from 'vue'
import axios from 'axios'
import VueAxios from 'vue-axios'

Vue.use(VueAxios, axios);

  export default {
    name: 'GameSelectPlayers',
    data() {
      return {
        players: {
            player1: {
              label: 'Player 1 name:',
              value: ''
            },
          player2: {
            label: 'Player 2 name:',
            value: ''
          }
        }
      }
    },
      mounted() {
        // get players name from localStorage
          if (localStorage.player1Name) {
              this.players.player1.value = localStorage.player1Name;
          }
          if(localStorage.player2Name) {
              this.players.player2.value = localStorage.player2Name;
          }
      },
    methods: {
        // save players name to localStorage
        getNames() {
            localStorage.player1Name = this.players.player1.value;
            localStorage.player2Name = this.players.player2.value;
        }
    }
  }
</script>

<style scoped lang="scss">
    main {
        background: #061F3E;
        display: -webkit-flex;
        display: -moz-flex;
        height: 100%;
        padding: 10rem;
        @media screen and (max-width: 787px) {
            padding: 2.5rem 0;
        }
        .header__logo {
            padding: 5rem 0;
        }
        .form {
            background: rgba(255,255,255, .5);
            padding: 4.5rem 2rem;
            border-radius: 2px;
            margin: 0 10rem;
            border: none;
            @media screen and (max-width: 787px) {
                padding: 2rem 1rem;
                margin: 2rem;
            }
            &__select {
                justify-content: center;
                &-player {
                    .form-group {
                        margin: 0 auto;
                    }
                    input[type=text] {
                        width: 25%;
                        padding: 1.2rem 2rem;
                        margin: 2rem 0;
                        color: inherit;
                        display: inline-block;
                        border: 1px solid #ccc;
                        border-radius: .4rem;
                        box-sizing: border-box;
                        @media screen and (max-width: 787px) {
                            width: 100%;
                        }
                        &:focus {
                            outline: none;
                            box-shadow: 0 1rem 2rem rgba(255,255,255, .1);
                            border-bottom: 3px solid #007bff;
                            &:invalid {
                                border-bottom: 3px solid #dc3545;
                            }
                        }
                        &::-webkit-input-placeholder {
                            color: gray;
                            font-size: 1.4rem;
                        }
                    }
                    label {
                        color: #fff;
                        font-size: 2rem;
                    }
                }
            }
            .form__button {
                &-btn {
                    background-color: #fff;
                    border: 1px solid transparent;
                    border-radius: .4rem;
                    padding: .6px 2.4rem;
                    font-size: 2.4rem;
                    color: #061F3E;
                    &:hover {
                        background: #061F3E;
                        cursor: pointer;
                        border: 1px solid #fff;
                        color: #fff;
                    }
                }
            }
        }
    }
</style>
